<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <div class="row-fluid">
        <div class="span2"><label for="todosItens">Listar todos adquiridos</label></div>
        <p:selectBooleanCheckbox id="todosItens" value="#{dashboardController.buscarTodosItens}" styleClass="span1" />
        <h:commandButton value="Buscar" styleClass="btn btn-info span1"
                         action="#{dashboardController.buscarItens}"/>

    </div>
	<div class="row-fluid">
	 	<div class="span12">
	 		<h:form id="formListaDesejos">
		 		<h:panelGroup id="panelListaDesejo">
		 			<table class="table table-striped table-bordered table-condensed">
		 				<thead>
		 					<tr>
		 						<th>
		 							Item
		 						</th>
		 						<th>
		 							Status
		 						</th>
		 						<th>
		 							Valor
		 						</th>
		 					</tr>
		 				</thead>
		 				<tbody style="font-size: 11px !important" >
		 					<ui:repeat var="item" value="#{dashboardController.itensDesejo}" varStatus="var">
		 						<tr>
		 							<td>
		 								<h:outputText value="#{item.nome}" />
		 							</td>
		 							<td>
		 								<h:outputText value="#{item.status.label}" />
		 							</td>
		 							<td>
		 								<h:outputText value="#{item.valor}">
		 									<f:convertNumber type="currency" currencyCode="BRL" maxFractionDigits="2" minFractionDigits="2" />
		 								</h:outputText>
		 							</td>
		 							<td>
		 								<div id="carrosselListaDesejos" class="carrosselListaDesejos_#{var.index}">
		 									<div class="carousel-inner">
												<div class="active item">
					 								<h:commandLink styleClass="btn btn-info" onclick="next('carrosselListaDesejos_#{var.index}')">
					 									<i class="icon-trash" />
					 								</h:commandLink>
					 								
					 								<h:commandButton title="Editar" action="#{dashboardController.editar(item.id)}"
					 									styleClass="btn btn-info" 
					 									style="width: 40px; height: 25px;">
					 									<i class="icon-edit" style="margin-left: -30px" />
					 								</h:commandButton>

												</div>
												
												<div class="item" style="background: #EEE; border-radius: 0.35em">
													<div style="text-align: center">
														Confirma a exclusão deste item ?
														<br/><br/>
														<div>
															<h:commandButton value="Sim" styleClass="btn btn-warning" onclick="previous('carrosselListaDesejos_#{var.index}')" 
																action="#{dashboardController.removeItem(item)}" >
																
															</h:commandButton>
															<h:commandButton value="Não" styleClass="btn btn-warning offset1" onclick="previous('carrosselListaDesejos_#{var.index}')" />
														</div>
													</div>
												</div>
		 									</div>
		 								
			 								
										</div>
		 							</td>
		 						</tr>
		 					</ui:repeat>
		 				</tbody>
		 			</table>
		 		</h:panelGroup>
	 		</h:form>
	 	</div>
	</div>

</html>